Tryton - Issues

 

Issue8743

Title Use fixed year of 365 days
Priority feature Status resolved
Superseder Nosy List ced, reviewbot, roundup-bot
Type feature request Components account_asset
Assigned To ced Keywords review
Reviews 254471002
View: 254471002

Created on 2019-10-21.00:22:48 by ced, last changed by roundup-bot.

Messages
New changeset c1d210e88ad3 by Cédric Krier in branch 'default':
Use fixed year of 365 days
https://hg.tryton.org/tryton-env/rev/c1d210e88ad3
New changeset b2c5ac58768e by Cédric Krier in branch 'default':
Use fixed year of 365 days
https://hg.tryton.org/modules/account_asset/rev/b2c5ac58768e
review254471002 updated at https://codereview.tryton.org/254471002/#ps254481002
review254471002 updated at https://codereview.tryton.org/254471002/#ps260341002
review254471002 updated at https://codereview.tryton.org/254471002/#ps252471002
msg52583 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-10-21.00:22:42
From https://discuss.tryton.org/t/linear-depreciation-for-10-years-is-not-10/1860
When asset starts or ends on a leap year, the rate used for full year may seem strange for a multiple of year range because there may be 1 or 2 days more which change the angle of the line a little bit.
I think to avoid incomprehension and astonishment, it will be better to always compute rate using fixed year of 365 days (by ignoring all the 29/2 days).
History
Date User Action Args
2019-11-16 14:49:45roundup-botsetmessages: + msg53257
2019-11-16 14:49:39roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg53256
2019-10-22 23:25:55reviewbotsetmessages: + msg52624
2019-10-21 09:51:52reviewbotsetmessages: + msg52587
2019-10-21 00:55:57reviewbotsetnosy: + reviewbot
messages: + msg52584
2019-10-21 00:31:53cedsetstatus: in-progress -> testing
reviews: 254471002
keyword: + review
2019-10-21 00:22:50cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)